#include <SoftwareSerial.h>

int rx = 3;    //Declares the RX 1 pin 3
int tx = 2;    //Declares the TX 2 pin 4

SoftwareSerial mySerial(rx, tx); //Setting up the RX/TX pins as a SoftwareSerial

String buttonState = ""; //Declares the string that represents the virtual button current state
String lastButtonState = ""; //Declares the string that represents the virtual button last state

int ledPin = 0;     //Declares the pin where the indicator LED is already attached

void setup(){
 mySerial.begin(9600);       //Start the serial communication and select the its speed that deppends of the frequency that it will be program the attiny

 pinMode(ledPin, OUTPUT);      //Configures the LED pin as an output

}

void loop() {

 if (mySerial.available()) { // Check if data is available to read
    buttonState = mySerial.readString(); // Reads the message "ON-1" or "OFF-1" from the command line
    buttonState.trim(); // Remove any leading or trailing whitespace
 }

 if (buttonState != lastButtonState) {   //Checks if there exist a change in the virtual button state

    if (buttonState == "ON-1") {         // Condition For Motor ON

      mySerial.println("LED IS ON \r");         //Prints in the screen the actual state
      digitalWrite(ledPin, HIGH);     //Turns ON the indicator LED  

    }
    else if (buttonState == "OFF-1"){      // Condition For Motor OFF

      mySerial.println("LED IS OFF \r");         //Prints in the screen the actual state
      digitalWrite(ledPin, LOW);       //Turns OFF the indicator LED

    }

    delay(50);
 }

 lastButtonState = buttonState;        //Sets the current state as a last state

}
