#include <SoftwareSerial.h>

int rx = 3;    //Declares the RX pin
int tx = 2;    //Declares the TX pin

SoftwareSerial mySerial(rx, tx);  //Setting up the RX/TX pins as a SoftwareSerial

char buttonState = '1';//Declares the character that represents the virtual button current state
char lastButtonState = '0'; //Declares the character that represents the virtual button last state

int ledPin = 0;     //Declares the pin where the indicator LED is already attached


void setup(){
  mySerial.begin(9600);       //Start the serial communication and select the its speed that deppends of the frequency that it will be program the attiny

  pinMode(ledPin, OUTPUT);      //Configures the LED pin as an output
  
}

void loop() {

  buttonState = mySerial.read();    //Reads the message a "1" or a "0" from the command line      

  if (buttonState != lastButtonState) {   //Checks if there exist a change in the virtual button state

    if (buttonState == '2') {         // Condition For Motor ON

      mySerial.println("ON");         //Prints in the screen the actual state
      digitalWrite(ledPin, HIGH);     //Turns ON the indicator LED  
      


    }
    else if (buttonState == '3'){      // Condition For Motor OFF

      mySerial.println("OFF");         //Prints in the screen the actual state
      digitalWrite(ledPin, LOW);       //Turns OFF the indicator LED
      
    }

    delay(50);
  }

  lastButtonState = buttonState;        //Sets the current state as a last state

}
